Bug 110150 - TB sre.py:229:_compile:error: multiple repeat
Summary: TB sre.py:229:_compile:error: multiple repeat
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 9
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-15 10:26 UTC by manikandan
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 10:17:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description manikandan 2003-11-15 10:26:35 UTC
Description of problem:
I AM USING LINUX WEBSERVER WITH 2 ETHERNET CARD ONE FOR INTERNAL LAN 
AND EXTERNAL LAN. 2 ETHERNET CARDS ARE WORKING GOOD.I AM NOT ABLE TO 
EDIT AND SAVE THE ETH1 (2 ETHERNET CARD)  WHEN I GO AND CHANGE AND 
SAVE IN THE NETWORK CONFIGURATION, IT IS DISPLAYING LIKE THAT. NOW I 
TEMPORARLILY MAKING CONNECTION THRU COMMAND LINE IFCONFIG. 

REGARDS
J.MANIKANDAN

Version-Release number of selected component (if applicable):
REDHAT LINUX 9.0 VERSION

How reproducible:
Component: redhat-config-network
Version: 1.2.0
Summary: TB /usr/src/build/228093-
i386/install/usr/lib/python2.2/sre.py:229:_compile:error: multiple 
repeat
Traceback (most recent call last):
  File "/usr/src/build/226257-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", line 747, in 
on_deviceActivateButton_clicked
  File "/usr/src/build/226257-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", line 291, in save
  File "/usr/src/build/226257-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", line 324, in saveProfiles
  File "/usr/src/build/226257-noarch/install/usr/share/redhat-config-
network/netconfpkg/NCProfileList.py", line 343, in save
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 460, in 
__setitem__
    while self.findnextline('^\S*[' + self.separators + ']+' + 
varname):
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 192, in 
findnextline
    if re.search(regexp, self.lines[self.line]):
  File "/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py", 
line 137, in search
    return _compile(pattern, flags).search(string)
  File "/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py", 
line 229, in _compile
    raise error, v # invalid expression
error: multiple repeat

Local variables in innermost frame:
p: None
flags: 0
pattern: ^\S*[	 ]+*
key: ('^\\S*[\t ]+*', 0)
v: multiple repeat


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Harald Hoyer 2003-11-25 13:59:54 UTC
very strange... could you update to the newest errata release?
http://rhn.redhat.com/errata/RHBA-2003-183.html

Comment 2 Harald Hoyer 2004-06-04 10:17:12 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.